Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class QTSConstants

    java.lang.Object
      |
      +--quicktime.streaming.QTSConstants

public final class QTSConstants
extends java.lang.Object

This class represents all of the new constants in the QuickTime interface for version 5.
ALL constants except for constants that start with an acronym, such as MPEG, ... start with a small letter (not a capital one)

Field Summary
`static int` | `kQTSAllPresentations`
`static int` | `kQTSAllStatisticsType`
`static int` | `kQTSAllStreams`
`static int` | `kQTSAnnotationsChangedNotification`
`static int` | `kQTSAtomType_Attribute`
`static int` | `kQTSAtomType_AttributeName`
`static int` | `kQTSAtomType_AttributeValue`
`static int` | `kQTSAtomType_Bandwidth`
`static int` | `kQTSAtomType_BufferTime`
`static int` | `kQTSAtomType_ClipRect`
`static int` | `kQTSAtomType_Duration`
`static int` | `kQTSAtomType_MediaDescriptionText`
`static int` | `kQTSAtomType_MediaStream`
`static int` | `kQTSAtomType_MediaStreamHeader`
`static int` | `kQTSAtomType_Presentation`
`static int` | `kQTSAtomType_PresentationHeader`
`static int` | `kQTSAtomType_Settings`
`static int` | `kQTSAtomType_Sourcer`
`static int` | `kQTSAtomType_SourcerType`
`static int` | `kQTSAtomType_TransportSettings`
`static int` | `kQTSAutoModeFlag`
`static int` | `kQTSBandwidthAlertNotification`
`static int` | `kQTSDontGetDataStatisticsFlag`
`static int` | `kQTSDontShowStatusFlag`
`static int` | `kQTSDurationNotification`
`static int` | `kQTSErrorNotification`
`static int` | `kQTSFatalErrorFlag`
`static int` | `kQTSGetNameStatisticsFlag`
`static int` | `kQTSGetUnitsStatisticsFlag`
`static int` | `kQTSInvalidPresentation`
`static int` | `kQTSInvalidStream`
`static int` | `kQTSNetworkIDStringStat`
`static int` | `kQTSNewPresDetectedNotification`
`static int` | `kQTSNewPresentationNotification`
`static int` | `kQTSNewStreamMediaComponentNotification`
`static int` | `kQTSNewStreamNotification`
`static int` | `kQTSNullNotification`
`static int` | `kQTSPrerollAckNotification`
`static int` | `kQTSPresBeginChangingNotification`
`static int` | `kQTSPresDoneChangingNotification`
`static int` | `kQTSPresentationChangedNotification`
`static int` | `kQTSPresentationDoneNotification`
`static int` | `kQTSPresentationGoneNotification`
`static int` | `kQTSPreviewAckNotification`
`static int` | `kQTSReceiveMediaFlag`
`static int` | `kQTSSendMediaFlag`
`static int` | `kQTSShortStatisticsType`
`static int` | `kQTSStartAckNotification`
`static int` | `kQTSStatisticsBitsPerSecUnitsType`
`static int` | `kQTSStatisticsDataAtomType`
`static int` | `kQTSStatisticsDataFormatAtomType`
`static int` | `kQTSStatisticsFixedDataFormat`
`static int` | `kQTSStatisticsFramesPerSecUnitsType`
`static int` | `kQTSStatisticsNameAtomType`
`static int` | `kQTSStatisticsNoUnitsType`
`static int` | `kQTSStatisticsOSTypeDataFormat`
`static int` | `kQTSStatisticsPercentUnitsType`
`static int` | `kQTSStatisticsPointDataFormat`
`static int` | `kQTSStatisticsRectDataFormat`
`static int` | `kQTSStatisticsSInt16DataFormat`
`static int` | `kQTSStatisticsSInt32DataFormat`
`static int` | `kQTSStatisticsStreamAtomType`
`static int` | `kQTSStatisticsStringDataFormat`
`static int` | `kQTSStatisticsUInt16DataFormat`
`static int` | `kQTSStatisticsUInt32DataFormat`
`static int` | `kQTSStatisticsUnitsAtomType`
`static int` | `kQTSStatisticsUnitsNameAtomType`
`static int` | `kQTSStatisticsUnsignedFixedDataFormat`
`static int` | `kQTSStatusNotification`
`static int` | `kQTSStopAckNotification`
`static int` | `kQTSStreamBeginChangingNotification`
`static int` | `kQTSStreamChangedNotification`
`static int` | `kQTSStreamDoneChangingNotification`
`static int` | `kQTSStreamGoneNotification`
`static int` | `kQTSStreamMediaComponentGoneNotification`
`static int` | `kQTSSummaryStatisticsType`
`static int` | `kQTSTotalDataRateInStat`
`static int` | `kQTSTotalDataRateOutStat`
`static int` | `kQTSTotalDataRateStat`
`static int` | `kQTSUpdateAllIfNecessaryStatisticsFlag`
`static int` | `kQTSUpdateAtomsStatisticsFlag`
`static int` | `kQTSURLNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kQTSNullNotification

    public static final int kQTSNullNotification

### kQTSErrorNotification

    public static final int kQTSErrorNotification

### kQTSNewPresDetectedNotification

    public static final int kQTSNewPresDetectedNotification

### kQTSPresBeginChangingNotification

    public static final int kQTSPresBeginChangingNotification

### kQTSPresDoneChangingNotification

    public static final int kQTSPresDoneChangingNotification

### kQTSPresentationChangedNotification

    public static final int kQTSPresentationChangedNotification

### kQTSNewStreamNotification

    public static final int kQTSNewStreamNotification

### kQTSNewStreamMediaComponentNotification

    public static final int kQTSNewStreamMediaComponentNotification

### kQTSStreamMediaComponentGoneNotification

    public static final int kQTSStreamMediaComponentGoneNotification

### kQTSStreamBeginChangingNotification

    public static final int kQTSStreamBeginChangingNotification

### kQTSStreamDoneChangingNotification

    public static final int kQTSStreamDoneChangingNotification

### kQTSStreamChangedNotification

    public static final int kQTSStreamChangedNotification

### kQTSStreamGoneNotification

    public static final int kQTSStreamGoneNotification

### kQTSPreviewAckNotification

    public static final int kQTSPreviewAckNotification

### kQTSPrerollAckNotification

    public static final int kQTSPrerollAckNotification

### kQTSStartAckNotification

    public static final int kQTSStartAckNotification

### kQTSStopAckNotification

    public static final int kQTSStopAckNotification

### kQTSStatusNotification

    public static final int kQTSStatusNotification

### kQTSURLNotification

    public static final int kQTSURLNotification

### kQTSDurationNotification

    public static final int kQTSDurationNotification

### kQTSNewPresentationNotification

    public static final int kQTSNewPresentationNotification

### kQTSPresentationGoneNotification

    public static final int kQTSPresentationGoneNotification

### kQTSPresentationDoneNotification

    public static final int kQTSPresentationDoneNotification

### kQTSBandwidthAlertNotification

    public static final int kQTSBandwidthAlertNotification

### kQTSAnnotationsChangedNotification

    public static final int kQTSAnnotationsChangedNotification

### kQTSInvalidPresentation

    public static final int kQTSInvalidPresentation

### kQTSAllPresentations

    public static final int kQTSAllPresentations

### kQTSInvalidStream

    public static final int kQTSInvalidStream

### kQTSAllStreams

    public static final int kQTSAllStreams

### kQTSFatalErrorFlag

    public static final int kQTSFatalErrorFlag

### kQTSAutoModeFlag

    public static final int kQTSAutoModeFlag

### kQTSDontShowStatusFlag

    public static final int kQTSDontShowStatusFlag

### kQTSSendMediaFlag

    public static final int kQTSSendMediaFlag

### kQTSReceiveMediaFlag

    public static final int kQTSReceiveMediaFlag

### kQTSAllStatisticsType

    public static final int kQTSAllStatisticsType

### kQTSShortStatisticsType

    public static final int kQTSShortStatisticsType

### kQTSSummaryStatisticsType

    public static final int kQTSSummaryStatisticsType

### kQTSGetNameStatisticsFlag

    public static final int kQTSGetNameStatisticsFlag

### kQTSDontGetDataStatisticsFlag

    public static final int kQTSDontGetDataStatisticsFlag

### kQTSUpdateAtomsStatisticsFlag

    public static final int kQTSUpdateAtomsStatisticsFlag

### kQTSGetUnitsStatisticsFlag

    public static final int kQTSGetUnitsStatisticsFlag

### kQTSUpdateAllIfNecessaryStatisticsFlag

    public static final int kQTSUpdateAllIfNecessaryStatisticsFlag

### kQTSStatisticsStreamAtomType

    public static final int kQTSStatisticsStreamAtomType

### kQTSStatisticsNameAtomType

    public static final int kQTSStatisticsNameAtomType

### kQTSStatisticsDataFormatAtomType

    public static final int kQTSStatisticsDataFormatAtomType

### kQTSStatisticsDataAtomType

    public static final int kQTSStatisticsDataAtomType

### kQTSStatisticsUnitsAtomType

    public static final int kQTSStatisticsUnitsAtomType

### kQTSStatisticsUnitsNameAtomType

    public static final int kQTSStatisticsUnitsNameAtomType

### kQTSStatisticsSInt32DataFormat

    public static final int kQTSStatisticsSInt32DataFormat

### kQTSStatisticsUInt32DataFormat

    public static final int kQTSStatisticsUInt32DataFormat

### kQTSStatisticsSInt16DataFormat

    public static final int kQTSStatisticsSInt16DataFormat

### kQTSStatisticsUInt16DataFormat

    public static final int kQTSStatisticsUInt16DataFormat

### kQTSStatisticsFixedDataFormat

    public static final int kQTSStatisticsFixedDataFormat

### kQTSStatisticsUnsignedFixedDataFormat

    public static final int kQTSStatisticsUnsignedFixedDataFormat

### kQTSStatisticsStringDataFormat

    public static final int kQTSStatisticsStringDataFormat

### kQTSStatisticsOSTypeDataFormat

    public static final int kQTSStatisticsOSTypeDataFormat

### kQTSStatisticsRectDataFormat

    public static final int kQTSStatisticsRectDataFormat

### kQTSStatisticsPointDataFormat

    public static final int kQTSStatisticsPointDataFormat

### kQTSStatisticsNoUnitsType

    public static final int kQTSStatisticsNoUnitsType

### kQTSStatisticsPercentUnitsType

    public static final int kQTSStatisticsPercentUnitsType

### kQTSStatisticsBitsPerSecUnitsType

    public static final int kQTSStatisticsBitsPerSecUnitsType

### kQTSStatisticsFramesPerSecUnitsType

    public static final int kQTSStatisticsFramesPerSecUnitsType

### kQTSTotalDataRateStat

    public static final int kQTSTotalDataRateStat

### kQTSTotalDataRateInStat

    public static final int kQTSTotalDataRateInStat

### kQTSTotalDataRateOutStat

    public static final int kQTSTotalDataRateOutStat

### kQTSNetworkIDStringStat

    public static final int kQTSNetworkIDStringStat

### kQTSAtomType_Presentation

    public static final int kQTSAtomType_Presentation

### kQTSAtomType_PresentationHeader

    public static final int kQTSAtomType_PresentationHeader

### kQTSAtomType_MediaStream

    public static final int kQTSAtomType_MediaStream

### kQTSAtomType_MediaStreamHeader

    public static final int kQTSAtomType_MediaStreamHeader

### kQTSAtomType_MediaDescriptionText

    public static final int kQTSAtomType_MediaDescriptionText

### kQTSAtomType_ClipRect

    public static final int kQTSAtomType_ClipRect

### kQTSAtomType_Duration

    public static final int kQTSAtomType_Duration

### kQTSAtomType_BufferTime

    public static final int kQTSAtomType_BufferTime

### kQTSAtomType_Settings

    public static final int kQTSAtomType_Settings

### kQTSAtomType_Bandwidth

    public static final int kQTSAtomType_Bandwidth

### kQTSAtomType_Attribute

    public static final int kQTSAtomType_Attribute

### kQTSAtomType_AttributeName

    public static final int kQTSAtomType_AttributeName

### kQTSAtomType_AttributeValue

    public static final int kQTSAtomType_AttributeValue

### kQTSAtomType_TransportSettings

    public static final int kQTSAtomType_TransportSettings

### kQTSAtomType_Sourcer

    public static final int kQTSAtomType_Sourcer

### kQTSAtomType_SourcerType

    public static final int kQTSAtomType_SourcerType

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD